Package Details: docker-git 1:r35925.b8e87cfdad-1

Git Clone URL: https://aur.archlinux.org/docker-git.git (read-only)
Package Base: docker-git
Description: Pack, ship and run any application as a lightweight container.
Upstream URL: https://github.com/docker/docker
Keywords: cgroups container lxc
Licenses: Apache License Version 2.0
Conflicts: containerd, containerd-git, docker, runc, runc-git
Provides: docker
Replaces: containerd, containerd-git, docker, runc, runc-git
Submitter: ido
Maintainer: flaccid
Last Packager: flaccid
Votes: 45
Popularity: 0.463452
First Submitted: 2013-12-05 18:13
Last Updated: 2018-10-29 10:49

Required by (104)

Sources (7)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 Next › Last »

flaccid commented on 2016-11-05 21:45

@dluciv looks like upstream issue.

dluciv commented on 2016-11-05 19:10

On x86:

docker: Error response from daemon: transport is closing.

and then, after some time

docker: Error response from daemon: grpc: the connection is unavailable.

flaccid commented on 2016-11-03 22:36

@inphinity removed. I guess we package docker-proxy separately now?

inphinity commented on 2016-11-03 16:23

Build is broken:
docker-proxy isn't being built with ./hack make.sh dynbinary anymore, which in turn breaks the docker binary from working:

==> Entering fakeroot environment...
==> Starting package()...
install: cannot stat 'bundles/1.13.0-dev/dynbinary-daemon/docker-proxy-1.13.0-dev': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...

Changes from: https://github.com/docker/docker/commit/3996975b0840033bda3919440d122d734a4bc66b

ido commented on 2016-08-07 04:48

Please do not flag git packages out of date! Post a comment instead saying what broke.

flaccid commented on 2016-07-20 02:18

@khayber done, thanks!

khayber commented on 2016-07-09 00:46

Installation is broken as of this commit.

https://github.com/docker/docker/commit/0682468431867e3382a759402eb92df5877e310b

docker complains about missing docker-proxy on $PATH

Need to add a new install line in the PKGBUILD

install -Dm755 "bundles/$_dockerver/dynbinary-client/docker-$_dockerver" "$pkgdir/usr/bin/docker"
install -Dm755 "bundles/$_dockerver/dynbinary-daemon/dockerd-$_dockerver" "$pkgdir/usr/bin/dockerd"
+ install -Dm755 "bundles/$_dockerver/dynbinary-daemon/docker-proxy-$_dockerver" "$pkgdir/usr/bin/docker-proxy"

streetmapp commented on 2016-07-06 19:51

@dome22xl

I would check the sizing of the system/VM you are running this on. I was trying this on a 512MB VPS and was running into the same exact thing.

I tried the same process on a workstation and it worked fine. So went through building runc, containerd, and docker-git one by one. When I hit containerd I was failing with gcc unable to allocate memory (or similar lost the output). Quick search saying that there wasn't enough memory on the box to complete the task. Bumped the memory up to 2GB and was able to complete the builds and installs without issue from that point on.

flaccid commented on 2016-07-01 08:47

@dome22xl - not quite sure your issue there perhaps you local go conf is interfering and/or the build() method and make.sh isn't adequate for your env. Its ok on mine atm:

$ makepkg -s
==> Making package: docker-git 1:1.12.0.dev.24773.5bdc833-1 (Fri Jul 1 18:28:01 AEST 2016)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning docker git repo...
Cloning into bare repository '/home/flaccid/src/aur/docker-git/docker'...
remote: Counting objects: 230547, done.
remote: Compressing objects: 100% (471/471), done.
remote: Total 230547 (delta 294), reused 1 (delta 1), pack-reused 230068
Receiving objects: 100% (230547/230547), 136.15 MiB | 8.51 MiB/s, done.
Resolving deltas: 100% (150555/150555), done.
Checking connectivity... done.
-> Found docker.install
==> Validating source files with md5sums...
docker ... Skipped
docker.install ... Passed
==> Extracting sources...
-> Creating working copy of docker git repo...
Cloning into 'docker'...
done.
==> Starting prepare()...
==> Starting pkgver()...
==> Updated version: docker-git 1:1.12.0.dev.25442.972c6a7-1
==> Starting build()...
# WARNING! I don't seem to be running in a Docker container.
# The result of this command might be an incorrect build, and will not be
# officially supported.
#
# Try this instead: make all
#

---> Making bundle: dynbinary (in bundles/1.12.0-dev/dynbinary)
Building: bundles/1.12.0-dev/dynbinary-client/docker-1.12.0-dev
Created binary: bundles/1.12.0-dev/dynbinary-client/docker-1.12.0-dev
Building: bundles/1.12.0-dev/dynbinary-daemon/dockerd-1.12.0-dev
Created binary: bundles/1.12.0-dev/dynbinary-daemon/dockerd-1.12.0-dev

==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
-> Removing libtool files...
-> Purging unwanted files...
-> Removing static library files...
-> Compressing man and info pages...
==> Checking for packaging issue...
==> Creating package "docker-git"...
-> Generating .PKGINFO file...
-> Generating .BUILDINFO file...
-> Adding install file...
-> Generating .MTREE file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: docker-git 1:1.12.0.dev.25442.972c6a7-1 (Fri Jul 1 18:29:55 AEST 2016)

dome22xl commented on 2016-06-27 11:31

Build issue

---> Making bundle: dynbinary (in bundles/1.12.0-dev/dynbinary)
Building: bundles/1.12.0-dev/dynbinary-client/docker-1.12.0-dev
# github.com/docker/docker/api/client/inspect
.gopath/src/github.com/docker/docker/api/client/inspect/inspector.go:115: i.tmpl.Option undefined (type *template.Template has no field or method Option)
==> ERROR: A failure occurred in build().
Aborting...